﻿<AML>
 <Item type="Method" id="90FF0A42FDBB4A54B6A365D39A39C6F2" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_account_type_filter
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
    When click Account Code,
	If Account Type is Expense,auto filter 'Expense' Account Code.
	If Account Type is Income,auto filter 'Income' Account Code.
Hooks:
	Type:	ItemType    : acc_income_expense_detail
	Event:	acc_account_no ( OnSearchDialog )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */

//debugger;
var myInnovator = new Innovator();
var Filter = new Object();
var acc_type = parent.thisItem.getProperty("acc_type", "");

if (acc_type === "Income") {

    Filter["acc_accountconsole"] = {
        filterValue: "*Income",
        isFilterFixed: true
    };

} else if (acc_type === "Expense") {

    Filter["acc_accountconsole"] = {
        filterValue: "*Expenses",
        isFilterFixed: true
    };

}

return Filter;]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_account_type_filter</name>
 </Item>
</AML>